﻿namespace OrderApplication
{
    public class OrderProcessor
    {
        readonly IOrderFormatter _formatter;
        readonly IMailSender _sender;

        public OrderProcessor(IOrderFormatter formatter, IMailSender sender)
        {
            _formatter = formatter;
            _sender = sender;
        }

        public void Process(Order order)
        {
            _sender.Send(order.CustomerMail, _formatter.Format(order));
        }
    }
}
