﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Moq;
using NUnit.Framework;

namespace OrderApplication.Tests
{
    [TestFixture]
    public class OrderProcessorMoqTest
    {
        private Mock<IOrderFormatter> _formatter;
        private Mock<IMailSender> _sender;
        private OrderProcessor _processor;

        [SetUp]
        public void SetUp()
        {
            _formatter = new Mock<IOrderFormatter>();
            _sender = new Mock<IMailSender>();
            _processor = new OrderProcessor(_formatter.Object, _sender.Object);
        }

        [Test]
        public void FormatsMessageAndSendsMailToCustomer()
        {
            var order = new Order { CustomerMail = "ofo@trifork.com" };
            _formatter.Setup(f => f.Format(order)).Returns("En ordre");

            _processor.Process(order);

            _sender.Verify(s => s.Send("ofo@trifork.com", "En ordre"));
        }
    }
}
