﻿using System.Collections.Generic;
using NUnit.Framework;

namespace OrderApplication.Tests
{
    [TestFixture]
    public class OrderTest
    {
        Order _order;

        [SetUp]
        public void SetUp()
        {
            _order = new Order();
        }

        [Test]
        public void HasItems()
        {
            _order.AddItem("Carpets", 100.0);
        }

        [Test]
        public void KeepsTrackOfItems()
        {
            _order.AddItem("Carpets", 100.0);
            _order.AddItem("Glue", 52.5);

            List<OrderItem> items = _order.Items;
            Assert.AreEqual(2, items.Count);
            Assert.AreEqual("Carpets", items[0].Name);
            Assert.AreEqual(100.0, items[0].Amount, 0);
        }

        [Test]
        public void KeepsTrackOfSumOfItems()
        {
            _order.AddItem("Carpets", 100.0);
            _order.AddItem("Glue", 52.5);

            Assert.AreEqual(152.5, _order.Total, 0);
        }

        [Test]
        public void KnowsCustomerEmail()
        {
            _order.CustomerMail = "ofo@trifork.com";

            Assert.AreEqual("ofo@trifork.com", _order.CustomerMail);
        }
    }
}