import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import static org.easymock.EasyMock.*;

public class OrderProcessorEasyMockTest {
    private OrderFormatter formatter;
    private MailSender sender;
    private OrderProcessorImpl processor;

    @Before
    public void before() {
        formatter = createMock(OrderFormatter.class);
        sender = createMock(MailSender.class);
        processor = new OrderProcessorImpl(formatter, sender);
    }

    @Test
    public void formatsMessageAndSendsMailToCustomer() {
        Order order = new Order();
        order.setCustomerMail("ofo@trifork.com");

        expect(formatter.format(order)).andReturn("En ordre");
        sender.send("ofo@trifork.com", "En ordre");

        replay(formatter, sender);

        processor.process(order);
    }
}