import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import static org.junit.Assert.*;
import static org.mockito.Mockito.*;

@RunWith(MockitoJUnitRunner.class)
public class OrderProcessorMockitoTest {
    private @Mock OrderFormatter formatter;
    private @Mock MailSender sender;
    private OrderProcessorImpl processor;

    @Before
    public void before() {
        processor = new OrderProcessorImpl(formatter, sender);
    }

    @Test
    public void formatsMessageAndSendsMailToCustomer() {
        Order order = new Order();
        order.setCustomerMail("ofo@trifork.com");
        when(formatter.format(order)).thenReturn("En besked");

        processor.process(order);

        verify(sender).send("ofo@trifork.com", "En besked");
    }
}