import java.util.List;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

public class OrderTest {
    private Order order;

    @Before
    public void setUp() {
        order = new Order();
    }
    
    @Test
    public void hasItems() {
        order.addItem("Carpets", 100.0);
    }

    @Test
    public void keepsTrackOfItems() {
        order.addItem("Carpets", 100.0);
        order.addItem("Glue", 52.5);

        List<OrderItem> items = order.getItems();
        assertEquals(2, items.size());
        assertEquals("Carpets", items.get(0).getName());
        assertEquals(100.0, items.get(0).getAmount(), 0);
    }

    @Test
    public void keepsTrackOfSumOfItems() {
        order.addItem("Carpets", 100.0);
        order.addItem("Glue", 52.5);

        assertEquals(152.5, order.getTotal(), 0);
    }

    @Test
    public void knowsCustomerEmail() {
        order.setCustomerMail("ofo@trifork.com");

        assertEquals("ofo@trifork.com", order.getCustomerMail());
    }
}