$:.unshift File.join(File.dirname(__FILE__),'..','lib')

require 'riot'
require 'rr'
require 'order_processor'

context 'An order processor' do
  setup do
    extend RR::Adapters::RRMethods
    @formatter = Object.new
    @sender = Object.new
    OrderProcessor.new(@formatter, @sender)
  end

  context 'sending a message' do
    hookup do
      @order = Object.new
      stub(@order).customer_mail {'ofo@trifork.com'}
      stub(@formatter).format(@order) {'En ordre'}
      stub(@sender).send

      topic.process @order
    end

    should('format message') { received(@formatter) {|f| f.format(@order)}}
    should('send mail to customer') do
      received(@sender) {|s| s.send('ofo@trifork.com', 'En ordre')}
    end
  end
end