$:.unshift File.join(File.dirname(__FILE__),'..','lib')

require 'test/unit'
require 'order'

class OrderTest < Test::Unit::TestCase
  def setup
    @order = Order.new
  end

  def test_has_total_0_when_empty
    assert_equal 0, @order.total
  end

  def test_has_items
    @order.add_item('Carpets', 100)
  end

  def test_keeps_track_of_items
    @order.add_item("Carpets", 100.0)
    @order.add_item("Glue", 52.5)

    items = @order.items
    assert_equal 2, items.size()
    assert_equal "Carpets", items[0].name
    assert_equal 100.0, items[0].amount
  end

  def test_keeps_track_of_sum_of_items
    @order.add_item("Carpets", 100.0)
    @order.add_item("Glue", 52.5)

    assert_equal 152.5, @order.total
  end

  def test_knows_customer_email
    @order.customer_mail = "ofo@trifork.com"

    assert_equal "ofo@trifork.com", @order.customer_mail
  end
end
